version: '3'
services:
  # La partie PHP (ton Dockerfile actuel)
  app:
    build: .
    container_name: laravel_php
    restart: always
    volumes:
      - .:/var/www

  # La partie Serveur Web (qui parle à NPM et à PHP)
  web:
    image: nginx:alpine
    container_name: laravel_web
    restart: always
    ports:
      - "8005:80"
      - "8443:443" # HTTPS port
    volumes:
      - .:/var/www
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
      - ./cert.pem:/var/www/cert.pem
      - ./cert.key:/var/www/cert.key
    depends_on:
      - app